
Katello - Bug #5251

javascript error "Object #<error> has no method 'indexOf'" shows randomly

04/21/2014 01:36 PM - Justin Sherrill

Status: Closed   

Priority: Low   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Currently when clicking around in the UI you'll see this error in the console:

TypeError: Object #&lt;error&gt; has no method 'indexOf'

        at htmlParser (

http://192.168.122.75:3000/assets/bastion/angular-sanitize/angular-sanitize.js?body=1:248:17)

        at 

http://192.168.122.75:3000/assets/bastion/angular-sanitize/angular-sanitize.js?body=1:143:7

        at getTrusted (

http://192.168.122.75:3000/assets/bastion/angular/angular.js?body=1:12745:16)

        at Object.sce.(anonymous function) [as getTrustedHtml] (

http://192.168.122.75:3000/assets/bastion/angular/angular.js?body=1:13443:16)

        at Object.ngBindHtmlWatchAction [as fn] (

http://192.168.122.75:3000/assets/bastion/angular/angular.js?body=1:17223:25)

        at Scope.$digest (

http://192.168.122.75:3000/assets/bastion/angular/angular.js?body=1:11809:29)

        at Scope.$apply (

http://192.168.122.75:3000/assets/bastion/angular/angular.js?body=1:12062:24)

        at http://192.168.122.75:3000/assets/bastion/angular/angular.js?body=1:13595:36

        at completeOutstandingRequest (

http://192.168.122.75:3000/assets/bastion/angular/angular.js?body=1:4112:10)

        at http://192.168.122.75:3000/assets/bastion/angular/angular.js?body=1:4419:7

 I don't see any ill effects yet though.

History

#1 - 04/24/2014 07:45 PM - Justin Sherrill

- translation missing: en.field_release set to 13

#2 - 06/04/2014 12:42 PM - Eric Helms

- Status changed from New to Closed

Clicking around the UI I am unable to reproduce this anymore. If it re-appears, please re-open.

#3 - 06/05/2014 03:31 AM - Eric Helms

- Triaged changed from No to Yes
